/**
 * rxxfetch
 * Observable HTTP fetch API for browser and Node.js. Handle 302/303 redirect correctly on Node.js
 *
 * @version 13.0.0
 * @author waiting
 * @license MIT
 * @link https://waitingsong.github.io/rxxfetch/
 */
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?t(exports):"function"==typeof define&&define.amd?define("rxxfetch",["exports"],t):t((e="undefined"!=typeof globalThis?globalThis:e||self).rxxfetch={})}(this,(function(e){"use strict";
/*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */var t=function(e,r){return(t=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var r in t)Object.prototype.hasOwnProperty.call(t,r)&&(e[r]=t[r])})(e,r)};function r(e,r){if("function"!=typeof r&&null!==r)throw new TypeError("Class extends value "+String(r)+" is not a constructor or null");function n(){this.constructor=e}t(e,r),e.prototype=null===r?Object.create(r):(n.prototype=r.prototype,new n)}function n(e,t,r,n){function o(e){return e instanceof r?e:new r((function(t){t(e)}))}return new(r||(r=Promise))((function(r,i){function a(e){try{c(n.next(e))}catch(e){i(e)}}function u(e){try{c(n.throw(e))}catch(e){i(e)}}function c(e){e.done?r(e.value):o(e.value).then(a,u)}c((n=n.apply(e,t||[])).next())}))}function o(e,t){var r={label:0,sent:function(){if(1&i[0])throw i[1];return i[1]},trys:[],ops:[]},n,o,i,a;return a={next:u(0),throw:u(1),return:u(2)},"function"==typeof Symbol&&(a[Symbol.iterator]=function(){return this}),a;function u(e){return function(t){return c([e,t])}}function c(a){if(n)throw new TypeError("Generator is already executing.");for(;r;)try{if(n=1,o&&(i=2&a[0]?o.return:a[0]?o.throw||((i=o.return)&&i.call(o),0):o.next)&&!(i=i.call(o,a[1])).done)return i;switch(o=0,i&&(a=[2&a[0],i.value]),a[0]){case 0:case 1:i=a;break;case 4:return r.label++,{value:a[1],done:!1};case 5:r.label++,o=a[1],a=[0];continue;case 7:a=r.ops.pop(),r.trys.pop();continue;default:if(!(i=r.trys,(i=i.length>0&&i[i.length-1])||6!==a[0]&&2!==a[0])){r=0;continue}if(3===a[0]&&(!i||a[1]>i[0]&&a[1]<i[3])){r.label=a[1];break}if(6===a[0]&&r.label<i[1]){r.label=i[1],i=a;break}if(i&&r.label<i[2]){r.label=i[2],r.ops.push(a);break}i[2]&&r.ops.pop(),r.trys.pop();continue}a=t.call(e,r)}catch(e){a=[6,e],o=0}finally{n=i=0}if(5&a[0])throw a[1];return{value:a[0]?a[1]:void 0,done:!0}}}function i(e){var t="function"==typeof Symbol&&Symbol.iterator,r=t&&e[t],n=0;if(r)return r.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&n>=e.length&&(e=void 0),{value:e&&e[n++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")}function a(e,t){var r="function"==typeof Symbol&&e[Symbol.iterator];if(!r)return e;var n=r.call(e),o,i=[],a;try{for(;(void 0===t||t-- >0)&&!(o=n.next()).done;)i.push(o.value)}catch(e){a={error:e}}finally{try{o&&!o.done&&(r=n.return)&&r.call(n)}finally{if(a)throw a.error}}return i}function u(e,t){for(var r=0,n=t.length,o=e.length;r<n;r++,o++)e[o]=t[r];return e}function c(e){return this instanceof c?(this.v=e,this):new c(e)}function l(e,t,r){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var n=r.apply(e,t||[]),o,i=[];return o={},a("next"),a("throw"),a("return"),o[Symbol.asyncIterator]=function(){return this},o;function a(e){n[e]&&(o[e]=function(t){return new Promise((function(r,n){i.push([e,t,r,n])>1||u(e,t)}))})}function u(e,t){try{l(n[e](t))}catch(e){p(i[0][3],e)}}function l(e){e.value instanceof c?Promise.resolve(e.value.v).then(s,f):p(i[0][2],e)}function s(e){u("next",e)}function f(e){u("throw",e)}function p(e,t){e(t),i.shift(),i.length&&u(i[0][0],i[0][1])}}function s(e){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var t=e[Symbol.asyncIterator],r;return t?t.call(e):(e="function"==typeof i?i(e):e[Symbol.iterator](),r={},n("next"),n("throw"),n("return"),r[Symbol.asyncIterator]=function(){return this},r);function n(t){r[t]=e[t]&&function(r){return new Promise((function(n,i){o(n,i,(r=e[t](r)).done,r.value)}))}}function o(e,t,r,n){Promise.resolve(n).then((function(t){e({value:t,done:r})}),t)}}function f(e){return"function"==typeof e}function p(e){var t,r=e((function(e){Error.call(e),e.stack=(new Error).stack}));return r.prototype=Object.create(Error.prototype),r.prototype.constructor=r,r}var y=p((function(e){return function t(r){e(this),this.message=r?r.length+" errors occurred during unsubscription:\n"+r.map((function(e,t){return t+1+") "+e.toString()})).join("\n  "):"",this.name="UnsubscriptionError",this.errors=r}}));function d(e,t){if(e){var r=e.indexOf(t);0<=r&&e.splice(r,1)}}var h=function(){function e(e){this.initialTeardown=e,this.closed=!1,this._parentage=null,this._teardowns=null}var t;return e.prototype.unsubscribe=function(){var e,t,r,n,o;if(!this.closed){this.closed=!0;var c=this._parentage;if(c)if(this._parentage=null,Array.isArray(c))try{for(var l=i(c),s=l.next();!s.done;s=l.next()){var p;s.value.remove(this)}}catch(t){e={error:t}}finally{try{s&&!s.done&&(t=l.return)&&t.call(l)}finally{if(e)throw e.error}}else c.remove(this);var d=this.initialTeardown;if(f(d))try{d()}catch(e){o=e instanceof y?e.errors:[e]}var h=this._teardowns;if(h){this._teardowns=null;try{for(var b=i(h),g=b.next();!g.done;g=b.next()){var m=g.value;try{v(m)}catch(e){o=null!=o?o:[],e instanceof y?o=u(u([],a(o)),a(e.errors)):o.push(e)}}}catch(e){r={error:e}}finally{try{g&&!g.done&&(n=b.return)&&n.call(b)}finally{if(r)throw r.error}}}if(o)throw new y(o)}},e.prototype.add=function(t){var r;if(t&&t!==this)if(this.closed)v(t);else{if(t instanceof e){if(t.closed||t._hasParent(this))return;t._addParent(this)}(this._teardowns=null!==(r=this._teardowns)&&void 0!==r?r:[]).push(t)}},e.prototype._hasParent=function(e){var t=this._parentage;return t===e||Array.isArray(t)&&t.includes(e)},e.prototype._addParent=function(e){var t=this._parentage;this._parentage=Array.isArray(t)?(t.push(e),t):t?[t,e]:e},e.prototype._removeParent=function(e){var t=this._parentage;t===e?this._parentage=null:Array.isArray(t)&&d(t,e)},e.prototype.remove=function(t){var r=this._teardowns;r&&d(r,t),t instanceof e&&t._removeParent(this)},e.EMPTY=((t=new e).closed=!0,t),e}();function b(e){return e instanceof h||e&&"closed"in e&&f(e.remove)&&f(e.add)&&f(e.unsubscribe)}function v(e){f(e)?e():e.unsubscribe()}var g={onUnhandledError:null,onStoppedNotification:null,Promise:void 0,useDeprecatedSynchronousErrorHandling:!1,useDeprecatedNextContext:!1},m={setTimeout:function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];var r=m.delegate;return((null==r?void 0:r.setTimeout)||setTimeout).apply(void 0,u([],a(e)))},clearTimeout:function(e){var t=m.delegate;return((null==t?void 0:t.clearTimeout)||clearTimeout)(e)},delegate:void 0};function w(e){m.setTimeout((function(){throw e}))}function S(){}var O=null;function j(e){if(g.useDeprecatedSynchronousErrorHandling){var t=!O;if(t&&(O={errorThrown:!1,error:null}),e(),t){var r=O,n=r.errorThrown,o=r.error;if(O=null,n)throw o}}else e()}var P=function(e){function t(t){var r=e.call(this)||this;return r.isStopped=!1,t?(r.destination=t,b(t)&&t.add(r)):r.destination=T,r}return r(t,e),t.create=function(e,t,r){return new A(e,t,r)},t.prototype.next=function(e){this.isStopped||this._next(e)},t.prototype.error=function(e){this.isStopped||(this.isStopped=!0,this._error(e))},t.prototype.complete=function(){this.isStopped||(this.isStopped=!0,this._complete())},t.prototype.unsubscribe=function(){this.closed||(this.isStopped=!0,e.prototype.unsubscribe.call(this),this.destination=null)},t.prototype._next=function(e){this.destination.next(e)},t.prototype._error=function(e){try{this.destination.error(e)}finally{this.unsubscribe()}},t.prototype._complete=function(){try{this.destination.complete()}finally{this.unsubscribe()}},t}(h),A=function(e){function t(t,r,n){var o=e.call(this)||this,i;if(f(t))i=t;else if(t){var a;i=t.next,r=t.error,n=t.complete,o&&g.useDeprecatedNextContext?(a=Object.create(t)).unsubscribe=function(){return o.unsubscribe()}:a=t,i=null==i?void 0:i.bind(a),r=null==r?void 0:r.bind(a),n=null==n?void 0:n.bind(a)}return o.destination={next:i?E(i):S,error:E(null!=r?r:x),complete:n?E(n):S},o}return r(t,e),t}(P);function E(e,t){return function(){for(var t=[],r=0;r<arguments.length;r++)t[r]=arguments[r];try{e.apply(void 0,u([],a(t)))}catch(e){w(e)}}}function x(e){throw e}var T={closed:!0,next:S,error:x,complete:S},k="function"==typeof Symbol&&Symbol.observable||"@@observable";function I(e){return e}function _(e){return 0===e.length?I:1===e.length?e[0]:function t(r){return e.reduce((function(e,t){return t(e)}),r)}}var R=function(){function e(e){e&&(this._subscribe=e)}return e.prototype.lift=function(t){var r=new e;return r.source=this,r.operator=t,r},e.prototype.subscribe=function(e,t,r){var n=this,o=D(e)?e:new A(e,t,r);return j((function(){var e=n,t=e.operator,r=e.source;o.add(t?t.call(o,r):r?n._subscribe(o):n._trySubscribe(o))})),o},e.prototype._trySubscribe=function(e){try{return this._subscribe(e)}catch(t){e.error(t)}},e.prototype.forEach=function(e,t){var r=this;return new(t=C(t))((function(t,n){var o;o=r.subscribe((function(t){try{e(t)}catch(e){n(e),null==o||o.unsubscribe()}}),n,t)}))},e.prototype._subscribe=function(e){var t;return null===(t=this.source)||void 0===t?void 0:t.subscribe(e)},e.prototype[k]=function(){return this},e.prototype.pipe=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return _(e)(this)},e.prototype.toPromise=function(e){var t=this;return new(e=C(e))((function(e,r){var n;t.subscribe((function(e){return n=e}),(function(e){return r(e)}),(function(){return e(n)}))}))},e.create=function(t){return new e(t)},e}();function C(e){var t;return null!==(t=null!=e?e:g.Promise)&&void 0!==t?t:Promise}function F(e){return e&&f(e.next)&&f(e.error)&&f(e.complete)}function D(e){return e&&e instanceof P||F(e)&&b(e)}function L(e){return f(null==e?void 0:e.lift)}function N(e){return function(t){if(L(t))return t.lift((function(t){try{return e(t,this)}catch(e){this.error(e)}}));throw new TypeError("Unable to lift unknown Observable type")}}var M=function(e){function t(t,r,n,o,i){var a=e.call(this,t)||this;return a.onFinalize=i,a._next=r?function(e){try{r(e)}catch(e){t.error(e)}}:e.prototype._next,a._error=o?function(e){try{o(e)}catch(e){t.error(e)}finally{this.unsubscribe()}}:e.prototype._error,a._complete=n?function(){try{n()}catch(e){t.error(e)}finally{this.unsubscribe()}}:e.prototype._complete,a}return r(t,e),t.prototype.unsubscribe=function(){var t,r=this.closed;e.prototype.unsubscribe.call(this),!r&&(null===(t=this.onFinalize)||void 0===t||t.call(this))},t}(P),U={now:function(){return(U.delegate||Date).now()},delegate:void 0},q=function(e){function t(t,r){return e.call(this)||this}return r(t,e),t.prototype.schedule=function(e,t){return this},t}(h),B={setInterval:function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];var r=B.delegate;return((null==r?void 0:r.setInterval)||setInterval).apply(void 0,u([],a(e)))},clearInterval:function(e){var t=B.delegate;return((null==t?void 0:t.clearInterval)||clearInterval)(e)},delegate:void 0},W=function(e){function t(t,r){var n=e.call(this,t,r)||this;return n.scheduler=t,n.work=r,n.pending=!1,n}return r(t,e),t.prototype.schedule=function(e,t){if(void 0===t&&(t=0),this.closed)return this;this.state=e;var r=this.id,n=this.scheduler;return null!=r&&(this.id=this.recycleAsyncId(n,r,t)),this.pending=!0,this.delay=t,this.id=this.id||this.requestAsyncId(n,this.id,t),this},t.prototype.requestAsyncId=function(e,t,r){return void 0===r&&(r=0),B.setInterval(e.flush.bind(e,this),r)},t.prototype.recycleAsyncId=function(e,t,r){if(void 0===r&&(r=0),null!=r&&this.delay===r&&!1===this.pending)return t;B.clearInterval(t)},t.prototype.execute=function(e,t){if(this.closed)return new Error("executing a cancelled action");this.pending=!1;var r=this._execute(e,t);if(r)return r;!1===this.pending&&null!=this.id&&(this.id=this.recycleAsyncId(this.scheduler,this.id,null))},t.prototype._execute=function(e,t){var r=!1,n;try{this.work(e)}catch(e){r=!0,n=!!e&&e||new Error(e)}if(r)return this.unsubscribe(),n},t.prototype.unsubscribe=function(){if(!this.closed){var t=this,r=t.id,n=t.scheduler,o=n.actions;this.work=this.state=this.scheduler=null,this.pending=!1,d(o,this),null!=r&&(this.id=this.recycleAsyncId(n,r,null)),this.delay=null,e.prototype.unsubscribe.call(this)}},t}(q),G=function(){function e(t,r){void 0===r&&(r=e.now),this.schedulerActionCtor=t,this.now=r}return e.prototype.schedule=function(e,t,r){return void 0===t&&(t=0),new this.schedulerActionCtor(this,e).schedule(r,t)},e.now=U.now,e}(),H,$=new(function(e){function t(t,r){void 0===r&&(r=G.now);var n=e.call(this,t,r)||this;return n.actions=[],n._active=!1,n._scheduled=void 0,n}return r(t,e),t.prototype.flush=function(e){var t=this.actions;if(this._active)t.push(e);else{var r;this._active=!0;do{if(r=e.execute(e.state,e.delay))break}while(e=t.shift());if(this._active=!1,r){for(;e=t.shift();)e.unsubscribe();throw r}}},t}(G))(W);function z(e,t){return new R((function(r){var n=0;return t.schedule((function(){n===e.length?r.complete():(r.next(e[n++]),r.closed||this.schedule())}))}))}var V=function(e){return e&&"number"==typeof e.length&&"function"!=typeof e};function Q(e){return f(null==e?void 0:e.then)}function J(){return"function"==typeof Symbol&&Symbol.iterator?Symbol.iterator:"@@iterator"}var Y=J();function K(e,t,r,n){void 0===n&&(n=0);var o=t.schedule((function(){try{r.call(this)}catch(t){e.error(t)}}),n);return e.add(o),o}function X(e){return f(e[k])}function Z(e){return f(null==e?void 0:e[Y])}function ee(e){return Symbol.asyncIterator&&f(null==e?void 0:e[Symbol.asyncIterator])}function te(e){return new TypeError("You provided "+(null!==e&&"object"==typeof e?"an invalid object":"'"+e+"'")+" where a stream was expected. You can provide an Observable, Promise, ReadableStream, Array, AsyncIterable, or Iterable.")}function re(e){return l(this,arguments,(function t(){var r,n,i,a;return o(this,(function(t){switch(t.label){case 0:r=e.getReader(),t.label=1;case 1:t.trys.push([1,,9,10]),t.label=2;case 2:return[4,c(r.read())];case 3:return n=t.sent(),i=n.value,(a=n.done)?[4,c(void 0)]:[3,5];case 4:return[2,t.sent()];case 5:return[4,c(i)];case 6:return[4,t.sent()];case 7:return t.sent(),[3,2];case 8:return[3,10];case 9:return r.releaseLock(),[7];case 10:return[2]}}))}))}function ne(e){return f(null==e?void 0:e.getReader)}function oe(e){if(e instanceof R)return e;if(null!=e){if(X(e))return ie(e);if(V(e))return ae(e);if(Q(e))return ue(e);if(ee(e))return le(e);if(Z(e))return ce(e);if(ne(e))return se(e)}throw te(e)}function ie(e){return new R((function(t){var r=e[k]();if(f(r.subscribe))return r.subscribe(t);throw new TypeError("Provided object does not correctly implement Symbol.observable")}))}function ae(e){return new R((function(t){for(var r=0;r<e.length&&!t.closed;r++)t.next(e[r]);t.complete()}))}function ue(e){return new R((function(t){e.then((function(e){t.closed||(t.next(e),t.complete())}),(function(e){return t.error(e)})).then(null,w)}))}function ce(e){return new R((function(t){var r,n;try{for(var o=i(e),a=o.next();!a.done;a=o.next()){var u=a.value;if(t.next(u),t.closed)return}}catch(e){r={error:e}}finally{try{a&&!a.done&&(n=o.return)&&n.call(o)}finally{if(r)throw r.error}}t.complete()}))}function le(e){return new R((function(t){fe(e,t).catch((function(e){return t.error(e)}))}))}function se(e){return le(re(e))}function fe(e,t){var r,i,a,u;return n(this,void 0,void 0,(function(){var n,c;return o(this,(function(o){switch(o.label){case 0:o.trys.push([0,5,6,11]),r=s(e),o.label=1;case 1:return[4,r.next()];case 2:if((i=o.sent()).done)return[3,4];if(n=i.value,t.next(n),t.closed)return[2];o.label=3;case 3:return[3,1];case 4:return[3,11];case 5:return c=o.sent(),a={error:c},[3,11];case 6:return o.trys.push([6,,9,10]),i&&!i.done&&(u=r.return)?[4,u.call(r)]:[3,8];case 7:o.sent(),o.label=8;case 8:return[3,10];case 9:if(a)throw a.error;return[7];case 10:return[7];case 11:return t.complete(),[2]}}))}))}function pe(e,t){return t?z(e,t):ae(e)}function ye(e){return e&&f(e.schedule)}function de(e){return e[e.length-1]}function he(e){return ye(de(e))?e.pop():void 0}function be(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];var r=he(e);return r?z(e,r):pe(e)}function ve(e,t){var r=f(e)?e:function(){return e},n=function(e){return e.error(r())};return new R(t?function(e){return t.schedule(n,0,e)}:n)}function ge(e){return e instanceof Date&&!isNaN(e)}var me=p((function(e){return function t(r){void 0===r&&(r=null),e(this),this.message="Timeout has occurred",this.name="TimeoutError",this.info=r}}));function we(e,t){var r=ge(e)?{first:e}:"number"==typeof e?{each:e}:e,n=r.first,o=r.each,i=r.with,a=void 0===i?Se:i,u=r.scheduler,c=void 0===u?null!=t?t:$:u,l=r.meta,s=void 0===l?null:l;if(null==n&&null==o)throw new TypeError("No timeout provided.");return N((function(e,t){var r,i,u=null,l=0,f=function(e){i=K(t,c,(function(){r.unsubscribe(),oe(a({meta:s,lastValue:u,seen:l})).subscribe(t)}),e)};r=e.subscribe(new M(t,(function(e){null==i||i.unsubscribe(),l++,t.next(u=e),o>0&&f(o)}),void 0,void 0,(function(){(null==i?void 0:i.closed)||null==i||i.unsubscribe(),u=null}))),f(null!=n?"number"==typeof n?n:+n-c.now():o)}))}function Se(e){throw new me(e)}function Oe(e,t){return N((function(r,n){var o=0;r.subscribe(new M(n,(function(r){n.next(e.call(t,r,o++))})))}))}function je(e,t,r,n,o,i,a,u){var c=[],l=0,s=0,f=!1,p=function(){!f||c.length||l||t.complete()},y=function(e){return l<n?d(e):c.push(e)},d=function(e){i&&t.next(e),l++;var u=!1;oe(r(e,s++)).subscribe(new M(t,(function(e){null==o||o(e),i?y(e):t.next(e)}),(function(){u=!0}),void 0,(function(){if(u)try{l--;for(var e=function(){var e=c.shift();a?t.add(a.schedule((function(){return d(e)}))):d(e)};c.length&&l<n;)e();p()}catch(e){t.error(e)}})))};return e.subscribe(new M(t,y,(function(){f=!0,p()}))),function(){null==u||u()}}function Pe(e,t,r){return void 0===r&&(r=1/0),f(t)?Pe((function(r,n){return Oe((function(e,o){return t(r,e,n,o)}))(oe(e(r,n)))}),r):("number"==typeof t&&(r=t),N((function(t,n){return je(t,n,e,r)})))}function Ae(e){return new R((function(t){oe(e()).subscribe(t)}))}function Ee(e){return N((function(t,r){var n=null,o=!1,i;n=t.subscribe(new M(r,void 0,void 0,(function(a){i=oe(e(a,Ee(e)(t))),n?(n.unsubscribe(),n=null,i.subscribe(r)):o=!0}))),o&&(n.unsubscribe(),n=null,i.subscribe(r))}))}function xe(e,t){return f(t)?Pe(e,t,1):Pe(e,1)}function Te(e){if(e.__esModule)return e;var t=Object.defineProperty({},"__esModule",{value:!0});return Object.keys(e).forEach((function(r){var n=Object.getOwnPropertyDescriptor(e,r);Object.defineProperty(t,r,n.get?n:{enumerable:!0,get:function(){return e[r]}})})),t}var ke={};function Ie(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function _e(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}function Re(e,t,r){return t&&_e(e.prototype,t),r&&_e(e,r),e}function Ce(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),t&&De(e,t)}function Fe(e){return(Fe=Object.setPrototypeOf?Object.getPrototypeOf:function e(t){return t.__proto__||Object.getPrototypeOf(t)})(e)}function De(e,t){return(De=Object.setPrototypeOf||function e(t,r){return t.__proto__=r,t})(e,t)}function Le(){if("undefined"==typeof Reflect||!Reflect.construct)return!1;if(Reflect.construct.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){}))),!0}catch(e){return!1}}function Ne(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}function Me(e,t){return!t||"object"!=typeof t&&"function"!=typeof t?Ne(e):t}function Ue(e){var t=Le();return function r(){var n=Fe(e),o;if(t){var i=Fe(this).constructor;o=Reflect.construct(n,arguments,i)}else o=n.apply(this,arguments);return Me(this,o)}}function qe(e,t){for(;!Object.prototype.hasOwnProperty.call(e,t)&&null!==(e=Fe(e)););return e}function Be(e,t,r){return(Be="undefined"!=typeof Reflect&&Reflect.get?Reflect.get:function e(t,r,n){var o=qe(t,r);if(o){var i=Object.getOwnPropertyDescriptor(o,r);return i.get?i.get.call(n):i.value}})(e,t,r||e)}Object.defineProperty(ke,"__esModule",{value:!0});var We=function(){function e(){Ie(this,e),Object.defineProperty(this,"listeners",{value:{},writable:!0,configurable:!0})}return Re(e,[{key:"addEventListener",value:function e(t,r,n){t in this.listeners||(this.listeners[t]=[]),this.listeners[t].push({callback:r,options:n})}},{key:"removeEventListener",value:function e(t,r){if(t in this.listeners)for(var n=this.listeners[t],o=0,i=n.length;o<i;o++)if(n[o].callback===r)return void n.splice(o,1)}},{key:"dispatchEvent",value:function e(t){if(t.type in this.listeners){for(var r,n=this.listeners[t.type].slice(),o=0,i=n.length;o<i;o++){var a=n[o];try{a.callback.call(this,t)}catch(e){Promise.resolve().then((function(){throw e}))}a.options&&a.options.once&&this.removeEventListener(t.type,a.callback)}return!t.defaultPrevented}}}]),e}(),Ge=function(e){Ce(r,e);var t=Ue(r);function r(){var e;return Ie(this,r),(e=t.call(this)).listeners||We.call(Ne(e)),Object.defineProperty(Ne(e),"aborted",{value:!1,writable:!0,configurable:!0}),Object.defineProperty(Ne(e),"onabort",{value:null,writable:!0,configurable:!0}),e}return Re(r,[{key:"toString",value:function e(){return"[object AbortSignal]"}},{key:"dispatchEvent",value:function e(t){"abort"===t.type&&(this.aborted=!0,"function"==typeof this.onabort&&this.onabort.call(this,t)),Be(Fe(r.prototype),"dispatchEvent",this).call(this,t)}}]),r}(We),He=function(){function e(){Ie(this,e),Object.defineProperty(this,"signal",{value:new Ge,writable:!0,configurable:!0})}return Re(e,[{key:"abort",value:function e(){var t;try{t=new Event("abort")}catch(e){"undefined"!=typeof document?document.createEvent?(t=document.createEvent("Event")).initEvent("abort",!1,!1):(t=document.createEventObject()).type="abort":t={type:"abort",bubbles:!1,cancelable:!1}}this.signal.dispatchEvent(t)}},{key:"toString",value:function e(){return"[object AbortController]"}}]),e}();function $e(e){return e.__FORCE_INSTALL_ABORTCONTROLLER_POLYFILL?(console.log("__FORCE_INSTALL_ABORTCONTROLLER_POLYFILL=true is set, will force install polyfill"),!0):"function"==typeof e.Request&&!e.Request.prototype.hasOwnProperty("signal")||!e.AbortController}function ze(e){"function"==typeof e&&(e={fetch:e});var t=e,r=t.fetch,n=t.Request,o=void 0===n?r.Request:n,i=t.AbortController,a=t.__FORCE_INSTALL_ABORTCONTROLLER_POLYFILL,u=void 0!==a&&a;if(!$e({fetch:r,Request:o,AbortController:i,__FORCE_INSTALL_ABORTCONTROLLER_POLYFILL:u}))return{fetch:r,Request:c};var c=o;(c&&!c.prototype.hasOwnProperty("signal")||u)&&((c=function e(t,r){var n;r&&r.signal&&(n=r.signal,delete r.signal);var i=new o(t,r);return n&&Object.defineProperty(i,"signal",{writable:!1,enumerable:!1,configurable:!0,value:n}),i}).prototype=o.prototype);var l=r,s;return{fetch:function e(t,r){var n=c&&c.prototype.isPrototypeOf(t)?t.signal:r?r.signal:void 0;if(n){var o;try{o=new DOMException("Aborted","AbortError")}catch(e){(o=new Error("Aborted")).name="AbortError"}if(n.aborted)return Promise.reject(o);var i=new Promise((function(e,t){n.addEventListener("abort",(function(){return t(o)}),{once:!0})}));return r&&r.signal&&delete r.signal,Promise.race([i,l(t,r)])}return l(t,r)},Request:c}}"undefined"!=typeof Symbol&&Symbol.toStringTag&&(He.prototype[Symbol.toStringTag]="AbortController",Ge.prototype[Symbol.toStringTag]="AbortSignal");var Ve=ke.AbortController=He;ke.AbortSignal=Ge;var Qe=ke.abortableFetch=ze,Je={exports:{}};!function(e,t){var r,n=function(){if("undefined"!=typeof self)return self;if("undefined"!=typeof window)return window;if("undefined"!=typeof n)return n;throw new Error("unable to locate global object")}();e.exports=t=n.fetch,n.fetch&&(t.default=n.fetch.bind(n)),t.Headers=n.Headers,t.Request=n.Request,t.Response=n.Response}(Je,Je.exports);var Ye=Je.exports;const Ke={dataType:"json",keepRedirectCookies:!1,method:"GET",processData:!0,timeout:null,cache:"default",credentials:"same-origin",mode:"cors",redirect:"follow",referrer:"client"};"undefined"==typeof window&&("function"!=typeof fetch&&(Ke.fetchModule=Qe(Ye).fetch),"function"!=typeof Headers&&(Ke.headersInitClass=Je.exports.Headers));const Xe="Fetch error status:";function Ze(e){return ve((()=>new Error("Assert Never Unexpected object: "+e)))}function et(e,t=!1){if(e.ok||t)return be(e);const{status:r,statusText:n}=e;return Ae((()=>e.text())).pipe(Ee((e=>be(JSON.stringify(e)))),Oe((e=>{const t=undefined;throw new Error(`Fetch error status:${r}\nstatusText: ${n}\nResponse: ${e}`)})))}function tt(e,t){let r;switch(t){case"arrayBuffer":r=Ae((()=>e.arrayBuffer()));break;case"bare":r=be(e);break;case"blob":r=Ae((()=>e.blob()));break;case"formData":r=Ae((()=>e.formData()));break;case"json":r=Ae((()=>e.json()));break;case"raw":r=be(e);break;case"text":r=Ae((()=>e.text()));break;default:return Ze(t)}return r}function rt(e){if(!e)return;const t=e.split(/;/),r={};for(let e of t){if(e=e.trim(),!e)continue;if(!e.includes("="))continue;if(e.startsWith("Path="))continue;const[t,n]=e.split("=");t&&n&&(r[t]=n)}return r&&Object.keys(r).length?r:void 0}var nt="object"==typeof self?self.FormData:window.FormData,ot=function e(){if("function"!=typeof Symbol||"function"!=typeof Object.getOwnPropertySymbols)return!1;if("symbol"==typeof Symbol.iterator)return!0;var t={},r=Symbol("test"),n=Object(r);if("string"==typeof r)return!1;if("[object Symbol]"!==Object.prototype.toString.call(r))return!1;if("[object Symbol]"!==Object.prototype.toString.call(n))return!1;var o=42;for(r in t[r]=o,t)return!1;if("function"==typeof Object.keys&&0!==Object.keys(t).length)return!1;if("function"==typeof Object.getOwnPropertyNames&&0!==Object.getOwnPropertyNames(t).length)return!1;var i=Object.getOwnPropertySymbols(t);if(1!==i.length||i[0]!==r)return!1;if(!Object.prototype.propertyIsEnumerable.call(t,r))return!1;if("function"==typeof Object.getOwnPropertyDescriptor){var a=Object.getOwnPropertyDescriptor(t,r);if(a.value!==o||!0!==a.enumerable)return!1}return!0},it="undefined"!=typeof Symbol&&Symbol,at=ot,ut=function e(){return"function"==typeof it&&("function"==typeof Symbol&&("symbol"==typeof it("foo")&&("symbol"==typeof Symbol("bar")&&at())))},ct="Function.prototype.bind called on incompatible ",lt=Array.prototype.slice,st=Object.prototype.toString,ft="[object Function]",pt,yt=function e(t){var r=this;if("function"!=typeof r||st.call(r)!==ft)throw new TypeError(ct+r);for(var n=lt.call(arguments,1),o,i=function(){if(this instanceof o){var e=r.apply(this,n.concat(lt.call(arguments)));return Object(e)===e?e:this}return r.apply(t,n.concat(lt.call(arguments)))},a=Math.max(0,r.length-n.length),u=[],c=0;c<a;c++)u.push("$"+c);if(o=Function("binder","return function ("+u.join(",")+"){ return binder.apply(this,arguments); }")(i),r.prototype){var l=function e(){};l.prototype=r.prototype,o.prototype=new l,l.prototype=null}return o},dt=Function.prototype.bind||yt,ht,bt=dt.call(Function.call,Object.prototype.hasOwnProperty),vt,gt=SyntaxError,mt=Function,wt=TypeError,St=function(e){try{return mt('"use strict"; return ('+e+").constructor;")()}catch(e){}},Ot=Object.getOwnPropertyDescriptor;if(Ot)try{Ot({},"")}catch(e){Ot=null}var jt=function(){throw new wt},Pt=Ot?function(){try{return jt}catch(e){try{return Ot(arguments,"callee").get}catch(e){return jt}}}():jt,At=ut(),Et=Object.getPrototypeOf||function(e){return e.__proto__},xt={},Tt="undefined"==typeof Uint8Array?vt:Et(Uint8Array),kt={"%AggregateError%":"undefined"==typeof AggregateError?vt:AggregateError,"%Array%":Array,"%ArrayBuffer%":"undefined"==typeof ArrayBuffer?vt:ArrayBuffer,"%ArrayIteratorPrototype%":At?Et([][Symbol.iterator]()):vt,"%AsyncFromSyncIteratorPrototype%":vt,"%AsyncFunction%":xt,"%AsyncGenerator%":xt,"%AsyncGeneratorFunction%":xt,"%AsyncIteratorPrototype%":xt,"%Atomics%":"undefined"==typeof Atomics?vt:Atomics,"%BigInt%":"undefined"==typeof BigInt?vt:BigInt,"%Boolean%":Boolean,"%DataView%":"undefined"==typeof DataView?vt:DataView,"%Date%":Date,"%decodeURI%":decodeURI,"%decodeURIComponent%":decodeURIComponent,"%encodeURI%":encodeURI,"%encodeURIComponent%":encodeURIComponent,"%Error%":Error,"%eval%":eval,"%EvalError%":EvalError,"%Float32Array%":"undefined"==typeof Float32Array?vt:Float32Array,"%Float64Array%":"undefined"==typeof Float64Array?vt:Float64Array,"%FinalizationRegistry%":"undefined"==typeof FinalizationRegistry?vt:FinalizationRegistry,"%Function%":mt,"%GeneratorFunction%":xt,"%Int8Array%":"undefined"==typeof Int8Array?vt:Int8Array,"%Int16Array%":"undefined"==typeof Int16Array?vt:Int16Array,"%Int32Array%":"undefined"==typeof Int32Array?vt:Int32Array,"%isFinite%":isFinite,"%isNaN%":isNaN,"%IteratorPrototype%":At?Et(Et([][Symbol.iterator]())):vt,"%JSON%":"object"==typeof JSON?JSON:vt,"%Map%":"undefined"==typeof Map?vt:Map,"%MapIteratorPrototype%":"undefined"!=typeof Map&&At?Et((new Map)[Symbol.iterator]()):vt,"%Math%":Math,"%Number%":Number,"%Object%":Object,"%parseFloat%":parseFloat,"%parseInt%":parseInt,"%Promise%":"undefined"==typeof Promise?vt:Promise,"%Proxy%":"undefined"==typeof Proxy?vt:Proxy,"%RangeError%":RangeError,"%ReferenceError%":ReferenceError,"%Reflect%":"undefined"==typeof Reflect?vt:Reflect,"%RegExp%":RegExp,"%Set%":"undefined"==typeof Set?vt:Set,"%SetIteratorPrototype%":"undefined"!=typeof Set&&At?Et((new Set)[Symbol.iterator]()):vt,"%SharedArrayBuffer%":"undefined"==typeof SharedArrayBuffer?vt:SharedArrayBuffer,"%String%":String,"%StringIteratorPrototype%":At?Et(""[Symbol.iterator]()):vt,"%Symbol%":At?Symbol:vt,"%SyntaxError%":gt,"%ThrowTypeError%":Pt,"%TypedArray%":Tt,"%TypeError%":wt,"%Uint8Array%":"undefined"==typeof Uint8Array?vt:Uint8Array,"%Uint8ClampedArray%":"undefined"==typeof Uint8ClampedArray?vt:Uint8ClampedArray,"%Uint16Array%":"undefined"==typeof Uint16Array?vt:Uint16Array,"%Uint32Array%":"undefined"==typeof Uint32Array?vt:Uint32Array,"%URIError%":URIError,"%WeakMap%":"undefined"==typeof WeakMap?vt:WeakMap,"%WeakRef%":"undefined"==typeof WeakRef?vt:WeakRef,"%WeakSet%":"undefined"==typeof WeakSet?vt:WeakSet},It=function e(t){var r;if("%AsyncFunction%"===t)r=St("async function () {}");else if("%GeneratorFunction%"===t)r=St("function* () {}");else if("%AsyncGeneratorFunction%"===t)r=St("async function* () {}");else if("%AsyncGenerator%"===t){var n=e("%AsyncGeneratorFunction%");n&&(r=n.prototype)}else if("%AsyncIteratorPrototype%"===t){var o=e("%AsyncGenerator%");o&&(r=Et(o.prototype))}return kt[t]=r,r},_t={"%ArrayBufferPrototype%":["ArrayBuffer","prototype"],"%ArrayPrototype%":["Array","prototype"],"%ArrayProto_entries%":["Array","prototype","entries"],"%ArrayProto_forEach%":["Array","prototype","forEach"],"%ArrayProto_keys%":["Array","prototype","keys"],"%ArrayProto_values%":["Array","prototype","values"],"%AsyncFunctionPrototype%":["AsyncFunction","prototype"],"%AsyncGenerator%":["AsyncGeneratorFunction","prototype"],"%AsyncGeneratorPrototype%":["AsyncGeneratorFunction","prototype","prototype"],"%BooleanPrototype%":["Boolean","prototype"],"%DataViewPrototype%":["DataView","prototype"],"%DatePrototype%":["Date","prototype"],"%ErrorPrototype%":["Error","prototype"],"%EvalErrorPrototype%":["EvalError","prototype"],"%Float32ArrayPrototype%":["Float32Array","prototype"],"%Float64ArrayPrototype%":["Float64Array","prototype"],"%FunctionPrototype%":["Function","prototype"],"%Generator%":["GeneratorFunction","prototype"],"%GeneratorPrototype%":["GeneratorFunction","prototype","prototype"],"%Int8ArrayPrototype%":["Int8Array","prototype"],"%Int16ArrayPrototype%":["Int16Array","prototype"],"%Int32ArrayPrototype%":["Int32Array","prototype"],"%JSONParse%":["JSON","parse"],"%JSONStringify%":["JSON","stringify"],"%MapPrototype%":["Map","prototype"],"%NumberPrototype%":["Number","prototype"],"%ObjectPrototype%":["Object","prototype"],"%ObjProto_toString%":["Object","prototype","toString"],"%ObjProto_valueOf%":["Object","prototype","valueOf"],"%PromisePrototype%":["Promise","prototype"],"%PromiseProto_then%":["Promise","prototype","then"],"%Promise_all%":["Promise","all"],"%Promise_reject%":["Promise","reject"],"%Promise_resolve%":["Promise","resolve"],"%RangeErrorPrototype%":["RangeError","prototype"],"%ReferenceErrorPrototype%":["ReferenceError","prototype"],"%RegExpPrototype%":["RegExp","prototype"],"%SetPrototype%":["Set","prototype"],"%SharedArrayBufferPrototype%":["SharedArrayBuffer","prototype"],"%StringPrototype%":["String","prototype"],"%SymbolPrototype%":["Symbol","prototype"],"%SyntaxErrorPrototype%":["SyntaxError","prototype"],"%TypedArrayPrototype%":["TypedArray","prototype"],"%TypeErrorPrototype%":["TypeError","prototype"],"%Uint8ArrayPrototype%":["Uint8Array","prototype"],"%Uint8ClampedArrayPrototype%":["Uint8ClampedArray","prototype"],"%Uint16ArrayPrototype%":["Uint16Array","prototype"],"%Uint32ArrayPrototype%":["Uint32Array","prototype"],"%URIErrorPrototype%":["URIError","prototype"],"%WeakMapPrototype%":["WeakMap","prototype"],"%WeakSetPrototype%":["WeakSet","prototype"]},Rt=dt,Ct=bt,Ft=Rt.call(Function.call,Array.prototype.concat),Dt=Rt.call(Function.apply,Array.prototype.splice),Lt=Rt.call(Function.call,String.prototype.replace),Nt=Rt.call(Function.call,String.prototype.slice),Mt=/[^%.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|%$))/g,Ut=/\\(\\)?/g,qt=function e(t){var r=Nt(t,0,1),n=Nt(t,-1);if("%"===r&&"%"!==n)throw new gt("invalid intrinsic syntax, expected closing `%`");if("%"===n&&"%"!==r)throw new gt("invalid intrinsic syntax, expected opening `%`");var o=[];return Lt(t,Mt,(function(e,t,r,n){o[o.length]=r?Lt(n,Ut,"$1"):t||e})),o},Bt=function e(t,r){var n=t,o;if(Ct(_t,n)&&(n="%"+(o=_t[n])[0]+"%"),Ct(kt,n)){var i=kt[n];if(i===xt&&(i=It(n)),"undefined"==typeof i&&!r)throw new wt("intrinsic "+t+" exists, but is not available. Please file an issue!");return{alias:o,name:n,value:i}}throw new gt("intrinsic "+t+" does not exist!")},Wt=function e(t,r){if("string"!=typeof t||0===t.length)throw new wt("intrinsic name must be a non-empty string");if(arguments.length>1&&"boolean"!=typeof r)throw new wt('"allowMissing" argument must be a boolean');var n=qt(t),o=n.length>0?n[0]:"",i=Bt("%"+o+"%",r),a=i.name,u=i.value,c=!1,l=i.alias;l&&(o=l[0],Dt(n,Ft([0,1],l)));for(var s=1,f=!0;s<n.length;s+=1){var p=n[s],y=Nt(p,0,1),d=Nt(p,-1);if(('"'===y||"'"===y||"`"===y||'"'===d||"'"===d||"`"===d)&&y!==d)throw new gt("property names with quotes must have matching quotes");if("constructor"!==p&&f||(c=!0),Ct(kt,a="%"+(o+="."+p)+"%"))u=kt[a];else if(null!=u){if(!(p in u)){if(!r)throw new wt("base intrinsic for "+t+" exists, but the property is not available.");return}if(Ot&&s+1>=n.length){var h=Ot(u,p);u=(f=!!h)&&"get"in h&&!("originalValue"in h.get)?h.get:u[p]}else f=Ct(u,p),u=u[p];f&&!c&&(kt[a]=u)}}return u},Gt={exports:{}};!function(e){var t=dt,r=Wt,n=r("%Function.prototype.apply%"),o=r("%Function.prototype.call%"),i=r("%Reflect.apply%",!0)||t.call(o,n),a=r("%Object.getOwnPropertyDescriptor%",!0),u=r("%Object.defineProperty%",!0),c=r("%Math.max%");if(u)try{u({},"a",{value:1})}catch(e){u=null}e.exports=function e(r){var n=i(t,o,arguments);if(a&&u){var l=a(n,"length");l.configurable&&u(n,"length",{value:1+c(0,r.length-(arguments.length-1))})}return n};var l=function e(){return i(t,n,arguments)};u?u(e.exports,"apply",{value:l}):e.exports.apply=l}(Gt);var Ht=Wt,$t=Gt.exports,zt=$t(Ht("String.prototype.indexOf")),Vt=function e(t,r){var n=Ht(t,!!r);return"function"==typeof n&&zt(t,".prototype.")>-1?$t(n):n},Qt={},Jt,Yt=Te(Object.freeze({__proto__:null,default:Qt})),Kt="function"==typeof Map&&Map.prototype,Xt=Object.getOwnPropertyDescriptor&&Kt?Object.getOwnPropertyDescriptor(Map.prototype,"size"):null,Zt=Kt&&Xt&&"function"==typeof Xt.get?Xt.get:null,er=Kt&&Map.prototype.forEach,tr="function"==typeof Set&&Set.prototype,rr=Object.getOwnPropertyDescriptor&&tr?Object.getOwnPropertyDescriptor(Set.prototype,"size"):null,nr=tr&&rr&&"function"==typeof rr.get?rr.get:null,or=tr&&Set.prototype.forEach,ir,ar="function"==typeof WeakMap&&WeakMap.prototype?WeakMap.prototype.has:null,ur,cr="function"==typeof WeakSet&&WeakSet.prototype?WeakSet.prototype.has:null,lr,sr="function"==typeof WeakRef&&WeakRef.prototype?WeakRef.prototype.deref:null,fr=Boolean.prototype.valueOf,pr=Object.prototype.toString,yr=Function.prototype.toString,dr=String.prototype.match,hr="function"==typeof BigInt?BigInt.prototype.valueOf:null,br=Object.getOwnPropertySymbols,vr="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?Symbol.prototype.toString:null,gr="function"==typeof Symbol&&"object"==typeof Symbol.iterator,mr=Object.prototype.propertyIsEnumerable,wr=("function"==typeof Reflect?Reflect.getPrototypeOf:Object.getPrototypeOf)||([].__proto__===Array.prototype?function(e){return e.__proto__}:null),Sr=Yt.custom,Or=Sr&&Fr(Sr)?Sr:null,jr="function"==typeof Symbol&&"undefined"!=typeof Symbol.toStringTag?Symbol.toStringTag:null,Pr=function e(t,r,n,o){var i=r||{};if(Nr(i,"quoteStyle")&&"single"!==i.quoteStyle&&"double"!==i.quoteStyle)throw new TypeError('option "quoteStyle" must be "single" or "double"');if(Nr(i,"maxStringLength")&&("number"==typeof i.maxStringLength?i.maxStringLength<0&&i.maxStringLength!==1/0:null!==i.maxStringLength))throw new TypeError('option "maxStringLength", if provided, must be a positive integer, Infinity, or `null`');var a=!Nr(i,"customInspect")||i.customInspect;if("boolean"!=typeof a&&"symbol"!==a)throw new TypeError("option \"customInspect\", if provided, must be `true`, `false`, or `'symbol'`");if(Nr(i,"indent")&&null!==i.indent&&"\t"!==i.indent&&!(parseInt(i.indent,10)===i.indent&&i.indent>0))throw new TypeError('options "indent" must be "\\t", an integer > 0, or `null`');if("undefined"==typeof t)return"undefined";if(null===t)return"null";if("boolean"==typeof t)return t?"true":"false";if("string"==typeof t)return Vr(t,i);if("number"==typeof t)return 0===t?1/0/t>0?"0":"-0":String(t);if("bigint"==typeof t)return String(t)+"n";var u="undefined"==typeof i.depth?5:i.depth;if("undefined"==typeof n&&(n=0),n>=u&&u>0&&"object"==typeof t)return xr(t)?"[Array]":"[Object]";var c=Zr(i,n);if("undefined"==typeof o)o=[];else if(qr(o,t)>=0)return"[Circular]";function l(t,r,a){if(r&&(o=o.slice()).push(r),a){var u={depth:i.depth};return Nr(i,"quoteStyle")&&(u.quoteStyle=i.quoteStyle),e(t,u,n+1,o)}return e(t,i,n+1,o)}if("function"==typeof t){var s=Ur(t),f=tn(t,l);return"[Function"+(s?": "+s:" (anonymous)")+"]"+(f.length>0?" { "+f.join(", ")+" }":"")}if(Fr(t)){var p=gr?String(t).replace(/^(Symbol\(.*\))_[^)]*$/,"$1"):vr.call(t);return"object"!=typeof t||gr?p:Jr(p)}if(zr(t)){for(var y="<"+String(t.nodeName).toLowerCase(),d=t.attributes||[],h=0;h<d.length;h++)y+=" "+d[h].name+"="+Ar(Er(d[h].value),"double",i);return y+=">",t.childNodes&&t.childNodes.length&&(y+="..."),y+="</"+String(t.nodeName).toLowerCase()+">"}if(xr(t)){if(0===t.length)return"[]";var b=tn(t,l);return c&&!Xr(b)?"["+en(b,c)+"]":"[ "+b.join(", ")+" ]"}if(Ir(t)){var v=tn(t,l);return 0===v.length?"["+String(t)+"]":"{ ["+String(t)+"] "+v.join(", ")+" }"}if("object"==typeof t&&a){if(Or&&"function"==typeof t[Or])return t[Or]();if("symbol"!==a&&"function"==typeof t.inspect)return t.inspect()}if(Br(t)){var g=[];return er.call(t,(function(e,r){g.push(l(r,t,!0)+" => "+l(e,t))})),Kr("Map",Zt.call(t),g,c)}if(Hr(t)){var m=[];return or.call(t,(function(e){m.push(l(e,t))})),Kr("Set",nr.call(t),m,c)}if(Wr(t))return Yr("WeakMap");if($r(t))return Yr("WeakSet");if(Gr(t))return Yr("WeakRef");if(Rr(t))return Jr(l(Number(t)));if(Dr(t))return Jr(l(hr.call(t)));if(Cr(t))return Jr(fr.call(t));if(_r(t))return Jr(l(String(t)));if(!Tr(t)&&!kr(t)){var w=tn(t,l),S=wr?wr(t)===Object.prototype:t instanceof Object||t.constructor===Object,O=t instanceof Object?"":"null prototype",j=!S&&jr&&Object(t)===t&&jr in t?Mr(t).slice(8,-1):O?"Object":"",P,A=(S||"function"!=typeof t.constructor?"":t.constructor.name?t.constructor.name+" ":"")+(j||O?"["+[].concat(j||[],O||[]).join(": ")+"] ":"");return 0===w.length?A+"{}":c?A+"{"+en(w,c)+"}":A+"{ "+w.join(", ")+" }"}return String(t)};function Ar(e,t,r){var n="double"===(r.quoteStyle||t)?'"':"'";return n+e+n}function Er(e){return String(e).replace(/"/g,"&quot;")}function xr(e){return!("[object Array]"!==Mr(e)||jr&&"object"==typeof e&&jr in e)}function Tr(e){return!("[object Date]"!==Mr(e)||jr&&"object"==typeof e&&jr in e)}function kr(e){return!("[object RegExp]"!==Mr(e)||jr&&"object"==typeof e&&jr in e)}function Ir(e){return!("[object Error]"!==Mr(e)||jr&&"object"==typeof e&&jr in e)}function _r(e){return!("[object String]"!==Mr(e)||jr&&"object"==typeof e&&jr in e)}function Rr(e){return!("[object Number]"!==Mr(e)||jr&&"object"==typeof e&&jr in e)}function Cr(e){return!("[object Boolean]"!==Mr(e)||jr&&"object"==typeof e&&jr in e)}function Fr(e){if(gr)return e&&"object"==typeof e&&e instanceof Symbol;if("symbol"==typeof e)return!0;if(!e||"object"!=typeof e||!vr)return!1;try{return vr.call(e),!0}catch(e){}return!1}function Dr(e){if(!e||"object"!=typeof e||!hr)return!1;try{return hr.call(e),!0}catch(e){}return!1}var Lr=Object.prototype.hasOwnProperty||function(e){return e in this};function Nr(e,t){return Lr.call(e,t)}function Mr(e){return pr.call(e)}function Ur(e){if(e.name)return e.name;var t=dr.call(yr.call(e),/^function\s*([\w$]+)/);return t?t[1]:null}function qr(e,t){if(e.indexOf)return e.indexOf(t);for(var r=0,n=e.length;r<n;r++)if(e[r]===t)return r;return-1}function Br(e){if(!Zt||!e||"object"!=typeof e)return!1;try{Zt.call(e);try{nr.call(e)}catch(e){return!0}return e instanceof Map}catch(e){}return!1}function Wr(e){if(!ar||!e||"object"!=typeof e)return!1;try{ar.call(e,ar);try{cr.call(e,cr)}catch(e){return!0}return e instanceof WeakMap}catch(e){}return!1}function Gr(e){if(!sr||!e||"object"!=typeof e)return!1;try{return sr.call(e),!0}catch(e){}return!1}function Hr(e){if(!nr||!e||"object"!=typeof e)return!1;try{nr.call(e);try{Zt.call(e)}catch(e){return!0}return e instanceof Set}catch(e){}return!1}function $r(e){if(!cr||!e||"object"!=typeof e)return!1;try{cr.call(e,cr);try{ar.call(e,ar)}catch(e){return!0}return e instanceof WeakSet}catch(e){}return!1}function zr(e){return!(!e||"object"!=typeof e)&&("undefined"!=typeof HTMLElement&&e instanceof HTMLElement||"string"==typeof e.nodeName&&"function"==typeof e.getAttribute)}function Vr(e,t){if(e.length>t.maxStringLength){var r=e.length-t.maxStringLength,n="... "+r+" more character"+(r>1?"s":"");return Vr(e.slice(0,t.maxStringLength),t)+n}var o;return Ar(e.replace(/(['\\])/g,"\\$1").replace(/[\x00-\x1f]/g,Qr),"single",t)}function Qr(e){var t=e.charCodeAt(0),r={8:"b",9:"t",10:"n",12:"f",13:"r"}[t];return r?"\\"+r:"\\x"+(t<16?"0":"")+t.toString(16).toUpperCase()}function Jr(e){return"Object("+e+")"}function Yr(e){return e+" { ? }"}function Kr(e,t,r,n){var o;return e+" ("+t+") {"+(n?en(r,n):r.join(", "))+"}"}function Xr(e){for(var t=0;t<e.length;t++)if(qr(e[t],"\n")>=0)return!1;return!0}function Zr(e,t){var r;if("\t"===e.indent)r="\t";else{if(!("number"==typeof e.indent&&e.indent>0))return null;r=Array(e.indent+1).join(" ")}return{base:r,prev:Array(t+1).join(r)}}function en(e,t){if(0===e.length)return"";var r="\n"+t.prev+t.base;return r+e.join(","+r)+"\n"+t.prev}function tn(e,t){var r=xr(e),n=[];if(r){n.length=e.length;for(var o=0;o<e.length;o++)n[o]=Nr(e,o)?t(e[o],e):""}var i="function"==typeof br?br(e):[],a;if(gr){a={};for(var u=0;u<i.length;u++)a["$"+i[u]]=i[u]}for(var c in e)Nr(e,c)&&(r&&String(Number(c))===c&&c<e.length||gr&&a["$"+c]instanceof Symbol||(/[^\w$]/.test(c)?n.push(t(c,e)+": "+t(e[c],e)):n.push(c+": "+t(e[c],e))));if("function"==typeof br)for(var l=0;l<i.length;l++)mr.call(e,i[l])&&n.push("["+t(i[l])+"]: "+t(e[i[l]],e));return n}var rn=Wt,nn=Vt,on=Pr,an=rn("%TypeError%"),un=rn("%WeakMap%",!0),cn=rn("%Map%",!0),ln=nn("WeakMap.prototype.get",!0),sn=nn("WeakMap.prototype.set",!0),fn=nn("WeakMap.prototype.has",!0),pn=nn("Map.prototype.get",!0),yn=nn("Map.prototype.set",!0),dn=nn("Map.prototype.has",!0),hn=function(e,t){for(var r=e,n;null!==(n=r.next);r=n)if(n.key===t)return r.next=n.next,n.next=e.next,e.next=n,n},bn=function(e,t){var r=hn(e,t);return r&&r.value},vn=function(e,t,r){var n=hn(e,t);n?n.value=r:e.next={key:t,next:e.next,value:r}},gn=function(e,t){return!!hn(e,t)},mn=function e(){var t,r,n,o={assert:function(e){if(!o.has(e))throw new an("Side channel does not contain "+on(e))},get:function(e){if(un&&e&&("object"==typeof e||"function"==typeof e)){if(t)return ln(t,e)}else if(cn){if(r)return pn(r,e)}else if(n)return bn(n,e)},has:function(e){if(un&&e&&("object"==typeof e||"function"==typeof e)){if(t)return fn(t,e)}else if(cn){if(r)return dn(r,e)}else if(n)return gn(n,e);return!1},set:function(e,o){un&&e&&("object"==typeof e||"function"==typeof e)?(t||(t=new un),sn(t,e,o)):cn?(r||(r=new cn),yn(r,e,o)):(n||(n={key:{},next:null}),vn(n,e,o))}};return o},wn=String.prototype.replace,Sn=/%20/g,On,jn="RFC3986",Pn={default:jn,formatters:{RFC1738:function(e){return wn.call(e,Sn,"+")},RFC3986:function(e){return String(e)}},RFC1738:"RFC1738",RFC3986:jn},An=Pn,En=Object.prototype.hasOwnProperty,xn=Array.isArray,Tn=function(){for(var e=[],t=0;t<256;++t)e.push("%"+((t<16?"0":"")+t.toString(16)).toUpperCase());return e}(),kn=function e(t){for(;t.length>1;){var r=t.pop(),n=r.obj[r.prop];if(xn(n)){for(var o=[],i=0;i<n.length;++i)"undefined"!=typeof n[i]&&o.push(n[i]);r.obj[r.prop]=o}}},In=function e(t,r){for(var n=r&&r.plainObjects?Object.create(null):{},o=0;o<t.length;++o)"undefined"!=typeof t[o]&&(n[o]=t[o]);return n},_n=function e(t,r,n){if(!r)return t;if("object"!=typeof r){if(xn(t))t.push(r);else{if(!t||"object"!=typeof t)return[t,r];(n&&(n.plainObjects||n.allowPrototypes)||!En.call(Object.prototype,r))&&(t[r]=!0)}return t}if(!t||"object"!=typeof t)return[t].concat(r);var o=t;return xn(t)&&!xn(r)&&(o=In(t,n)),xn(t)&&xn(r)?(r.forEach((function(r,o){if(En.call(t,o)){var i=t[o];i&&"object"==typeof i&&r&&"object"==typeof r?t[o]=e(i,r,n):t.push(r)}else t[o]=r})),t):Object.keys(r).reduce((function(t,o){var i=r[o];return En.call(t,o)?t[o]=e(t[o],i,n):t[o]=i,t}),o)},Rn,Cn,Fn,Dn,Ln,Nn,Mn,Un,qn={arrayToObject:In,assign:function e(t,r){return Object.keys(r).reduce((function(e,t){return e[t]=r[t],e}),t)},combine:function e(t,r){return[].concat(t,r)},compact:function e(t){for(var r=[{obj:{o:t},prop:"o"}],n=[],o=0;o<r.length;++o)for(var i=r[o],a=i.obj[i.prop],u=Object.keys(a),c=0;c<u.length;++c){var l=u[c],s=a[l];"object"==typeof s&&null!==s&&-1===n.indexOf(s)&&(r.push({obj:a,prop:l}),n.push(s))}return kn(r),t},decode:function(e,t,r){var n=e.replace(/\+/g," ");if("iso-8859-1"===r)return n.replace(/%[0-9a-f]{2}/gi,unescape);try{return decodeURIComponent(n)}catch(e){return n}},encode:function e(t,r,n,o,i){if(0===t.length)return t;var a=t;if("symbol"==typeof t?a=Symbol.prototype.toString.call(t):"string"!=typeof t&&(a=String(t)),"iso-8859-1"===n)return escape(a).replace(/%u[0-9a-f]{4}/gi,(function(e){return"%26%23"+parseInt(e.slice(2),16)+"%3B"}));for(var u="",c=0;c<a.length;++c){var l=a.charCodeAt(c);45===l||46===l||95===l||126===l||l>=48&&l<=57||l>=65&&l<=90||l>=97&&l<=122||i===An.RFC1738&&(40===l||41===l)?u+=a.charAt(c):l<128?u+=Tn[l]:l<2048?u+=Tn[192|l>>6]+Tn[128|63&l]:l<55296||l>=57344?u+=Tn[224|l>>12]+Tn[128|l>>6&63]+Tn[128|63&l]:(c+=1,l=65536+((1023&l)<<10|1023&a.charCodeAt(c)),u+=Tn[240|l>>18]+Tn[128|l>>12&63]+Tn[128|l>>6&63]+Tn[128|63&l])}return u},isBuffer:function e(t){return!(!t||"object"!=typeof t)&&!!(t.constructor&&t.constructor.isBuffer&&t.constructor.isBuffer(t))},isRegExp:function e(t){return"[object RegExp]"===Object.prototype.toString.call(t)},maybeMap:function e(t,r){if(xn(t)){for(var n=[],o=0;o<t.length;o+=1)n.push(r(t[o]));return n}return r(t)},merge:_n},Bn=mn,Wn=qn,Gn=Pn,Hn=Object.prototype.hasOwnProperty,$n={brackets:function e(t){return t+"[]"},comma:"comma",indices:function e(t,r){return t+"["+r+"]"},repeat:function e(t){return t}},zn=Array.isArray,Vn=Array.prototype.push,Qn=function(e,t){Vn.apply(e,zn(t)?t:[t])},Jn=Date.prototype.toISOString,Yn=Gn.default,Kn={addQueryPrefix:!1,allowDots:!1,charset:"utf-8",charsetSentinel:!1,delimiter:"&",encode:!0,encoder:Wn.encode,encodeValuesOnly:!1,format:Yn,formatter:Gn.formatters[Yn],indices:!1,serializeDate:function e(t){return Jn.call(t)},skipNulls:!1,strictNullHandling:!1},Xn=function e(t){return"string"==typeof t||"number"==typeof t||"boolean"==typeof t||"symbol"==typeof t||"bigint"==typeof t},Zn=function e(t,r,n,o,i,a,u,c,l,s,f,p,y,d,h){var b=t,v;if(h.has(t))throw new RangeError("Cyclic object value");if("function"==typeof u?b=u(r,b):b instanceof Date?b=s(b):"comma"===n&&zn(b)&&(b=Wn.maybeMap(b,(function(e){return e instanceof Date?s(e):e}))),null===b){if(o)return a&&!y?a(r,Kn.encoder,d,"key",f):r;b=""}if(Xn(b)||Wn.isBuffer(b))return a?[p(y?r:a(r,Kn.encoder,d,"key",f))+"="+p(a(b,Kn.encoder,d,"value",f))]:[p(r)+"="+p(String(b))];var g=[],m;if("undefined"==typeof b)return g;if("comma"===n&&zn(b))m=[{value:b.length>0?b.join(",")||null:void 0}];else if(zn(u))m=u;else{var w=Object.keys(b);m=c?w.sort(c):w}for(var S=0;S<m.length;++S){var O=m[S],j="object"==typeof O&&void 0!==O.value?O.value:b[O];if(!i||null!==j){var P=zn(b)?"function"==typeof n?n(r,O):r:r+(l?"."+O:"["+O+"]");h.set(t,!0);var A=Bn();Qn(g,e(j,P,n,o,i,a,u,c,l,s,f,p,y,d,A))}}return g},eo=function e(t){if(!t)return Kn;if(null!==t.encoder&&void 0!==t.encoder&&"function"!=typeof t.encoder)throw new TypeError("Encoder has to be a function.");var r=t.charset||Kn.charset;if("undefined"!=typeof t.charset&&"utf-8"!==t.charset&&"iso-8859-1"!==t.charset)throw new TypeError("The charset option must be either utf-8, iso-8859-1, or undefined");var n=Gn.default;if("undefined"!=typeof t.format){if(!Hn.call(Gn.formatters,t.format))throw new TypeError("Unknown format option provided.");n=t.format}var o=Gn.formatters[n],i=Kn.filter;return("function"==typeof t.filter||zn(t.filter))&&(i=t.filter),{addQueryPrefix:"boolean"==typeof t.addQueryPrefix?t.addQueryPrefix:Kn.addQueryPrefix,allowDots:"undefined"==typeof t.allowDots?Kn.allowDots:!!t.allowDots,charset:r,charsetSentinel:"boolean"==typeof t.charsetSentinel?t.charsetSentinel:Kn.charsetSentinel,delimiter:"undefined"==typeof t.delimiter?Kn.delimiter:t.delimiter,encode:"boolean"==typeof t.encode?t.encode:Kn.encode,encoder:"function"==typeof t.encoder?t.encoder:Kn.encoder,encodeValuesOnly:"boolean"==typeof t.encodeValuesOnly?t.encodeValuesOnly:Kn.encodeValuesOnly,filter:i,format:n,formatter:o,serializeDate:"function"==typeof t.serializeDate?t.serializeDate:Kn.serializeDate,skipNulls:"boolean"==typeof t.skipNulls?t.skipNulls:Kn.skipNulls,sort:"function"==typeof t.sort?t.sort:null,strictNullHandling:"boolean"==typeof t.strictNullHandling?t.strictNullHandling:Kn.strictNullHandling}},to=function(e,t){var r=e,n=eo(t),o,i;"function"==typeof n.filter?r=(i=n.filter)("",r):zn(n.filter)&&(o=i=n.filter);var a=[],u;if("object"!=typeof r||null===r)return"";u=t&&t.arrayFormat in $n?t.arrayFormat:t&&"indices"in t?t.indices?"indices":"repeat":"indices";var c=$n[u];o||(o=Object.keys(r)),n.sort&&o.sort(n.sort);for(var l=Bn(),s=0;s<o.length;++s){var f=o[s];n.skipNulls&&null===r[f]||Qn(a,Zn(r[f],f,c,n.strictNullHandling,n.skipNulls,n.encode?n.encoder:null,n.filter,n.sort,n.allowDots,n.serializeDate,n.format,n.formatter,n.encodeValuesOnly,n.charset,l))}var p=a.join(n.delimiter),y=!0===n.addQueryPrefix?"?":"";return n.charsetSentinel&&("iso-8859-1"===n.charset?y+="utf8=%26%2310003%3B&":y+="utf8=%E2%9C%93&"),p.length>0?y+p:""},ro=qn,no=Object.prototype.hasOwnProperty,oo=Array.isArray,io={allowDots:!1,allowPrototypes:!1,allowSparse:!1,arrayLimit:20,charset:"utf-8",charsetSentinel:!1,comma:!1,decoder:ro.decode,delimiter:"&",depth:5,ignoreQueryPrefix:!1,interpretNumericEntities:!1,parameterLimit:1e3,parseArrays:!0,plainObjects:!1,strictNullHandling:!1},ao=function(e){return e.replace(/&#(\d+);/g,(function(e,t){return String.fromCharCode(parseInt(t,10))}))},uo=function(e,t){return e&&"string"==typeof e&&t.comma&&e.indexOf(",")>-1?e.split(","):e},co="utf8=%26%2310003%3B",lo="utf8=%E2%9C%93",so=function e(t,r){var n={},o=r.ignoreQueryPrefix?t.replace(/^\?/,""):t,i=r.parameterLimit===1/0?void 0:r.parameterLimit,a=o.split(r.delimiter,i),u=-1,c,l=r.charset;if(r.charsetSentinel)for(c=0;c<a.length;++c)0===a[c].indexOf("utf8=")&&(a[c]===lo?l="utf-8":a[c]===co&&(l="iso-8859-1"),u=c,c=a.length);for(c=0;c<a.length;++c)if(c!==u){var s=a[c],f=s.indexOf("]="),p=-1===f?s.indexOf("="):f+1,y,d;-1===p?(y=r.decoder(s,io.decoder,l,"key"),d=r.strictNullHandling?null:""):(y=r.decoder(s.slice(0,p),io.decoder,l,"key"),d=ro.maybeMap(uo(s.slice(p+1),r),(function(e){return r.decoder(e,io.decoder,l,"value")}))),d&&r.interpretNumericEntities&&"iso-8859-1"===l&&(d=ao(d)),s.indexOf("[]=")>-1&&(d=oo(d)?[d]:d),no.call(n,y)?n[y]=ro.combine(n[y],d):n[y]=d}return n},fo=function(e,t,r,n){for(var o=n?t:uo(t,r),i=e.length-1;i>=0;--i){var a,u=e[i];if("[]"===u&&r.parseArrays)a=[].concat(o);else{a=r.plainObjects?Object.create(null):{};var c="["===u.charAt(0)&&"]"===u.charAt(u.length-1)?u.slice(1,-1):u,l=parseInt(c,10);r.parseArrays||""!==c?!isNaN(l)&&u!==c&&String(l)===c&&l>=0&&r.parseArrays&&l<=r.arrayLimit?(a=[])[l]=o:a[c]=o:a={0:o}}o=a}return o},po=function e(t,r,n,o){if(t){var i=n.allowDots?t.replace(/\.([^.[]+)/g,"[$1]"):t,a=/(\[[^[\]]*])/,u=/(\[[^[\]]*])/g,c=n.depth>0&&a.exec(i),l=c?i.slice(0,c.index):i,s=[];if(l){if(!n.plainObjects&&no.call(Object.prototype,l)&&!n.allowPrototypes)return;s.push(l)}for(var f=0;n.depth>0&&null!==(c=u.exec(i))&&f<n.depth;){if(f+=1,!n.plainObjects&&no.call(Object.prototype,c[1].slice(1,-1))&&!n.allowPrototypes)return;s.push(c[1])}return c&&s.push("["+i.slice(c.index)+"]"),fo(s,r,n,o)}},yo=function e(t){if(!t)return io;if(null!==t.decoder&&void 0!==t.decoder&&"function"!=typeof t.decoder)throw new TypeError("Decoder has to be a function.");if("undefined"!=typeof t.charset&&"utf-8"!==t.charset&&"iso-8859-1"!==t.charset)throw new TypeError("The charset option must be either utf-8, iso-8859-1, or undefined");var r="undefined"==typeof t.charset?io.charset:t.charset;return{allowDots:"undefined"==typeof t.allowDots?io.allowDots:!!t.allowDots,allowPrototypes:"boolean"==typeof t.allowPrototypes?t.allowPrototypes:io.allowPrototypes,allowSparse:"boolean"==typeof t.allowSparse?t.allowSparse:io.allowSparse,arrayLimit:"number"==typeof t.arrayLimit?t.arrayLimit:io.arrayLimit,charset:r,charsetSentinel:"boolean"==typeof t.charsetSentinel?t.charsetSentinel:io.charsetSentinel,comma:"boolean"==typeof t.comma?t.comma:io.comma,decoder:"function"==typeof t.decoder?t.decoder:io.decoder,delimiter:"string"==typeof t.delimiter||ro.isRegExp(t.delimiter)?t.delimiter:io.delimiter,depth:"number"==typeof t.depth||!1===t.depth?+t.depth:io.depth,ignoreQueryPrefix:!0===t.ignoreQueryPrefix,interpretNumericEntities:"boolean"==typeof t.interpretNumericEntities?t.interpretNumericEntities:io.interpretNumericEntities,parameterLimit:"number"==typeof t.parameterLimit?t.parameterLimit:io.parameterLimit,parseArrays:!1!==t.parseArrays,plainObjects:"boolean"==typeof t.plainObjects?t.plainObjects:io.plainObjects,strictNullHandling:"boolean"==typeof t.strictNullHandling?t.strictNullHandling:io.strictNullHandling}},ho,bo,vo,go,mo={formats:Pn,parse:function(e,t){var r=yo(t);if(""===e||null===e||"undefined"==typeof e)return r.plainObjects?Object.create(null):{};for(var n="string"==typeof e?so(e,r):e,o=r.plainObjects?Object.create(null):{},i=Object.keys(n),a=0;a<i.length;++a){var u=i[a],c=po(u,n[u],r,"string"==typeof e);o=ro.merge(o,c,r)}return!0===r.allowSparse?o:ro.compact(o)},stringify:to},wo;function So(e,t){if(t&&"object"==typeof t&&Object.keys(t).length){const r=mo.stringify(t);return e.includes("?")?`${e}&${r}`:`${e}?${r}`}return e}function Oo(e){const t=Object.assign({},e),r={};return"undefined"!=typeof t.cookies&&(r.cookies=t.cookies),delete t.cookies,t.abortController&&"function"==typeof t.abortController.abort&&(r.abortController=t.abortController),delete t.abortController,"undefined"!=typeof t.contentType&&(r.contentType=t.contentType),delete t.contentType,"undefined"!=typeof t.data&&(r.data=t.data),delete t.data,t.dataType&&(r.dataType=t.dataType),delete t.dataType,t.fetchModule&&(r.fetchModule=t.fetchModule),delete t.fetchModule,t.headersInitClass&&(r.headersInitClass=t.headersInitClass),delete t.headersInitClass,"undefined"!=typeof t.keepRedirectCookies&&(r.keepRedirectCookies=!!t.keepRedirectCookies),delete t.keepRedirectCookies,"undefined"!=typeof t.processData&&(r.processData=t.processData),delete t.processData,"undefined"!=typeof t.timeout&&(r.timeout=t.timeout),delete t.timeout,{args:r,requestInit:Object.assign({},t)}}function jo(e){let t=Object.assign({},e);return t=Po(t),t=Ao(t),t=Eo(t),t=xo(t),t.args.dataType=To(t.args.dataType),t.args.timeout=ko(t.args.timeout),t.requestInit.redirect=Io(t.args.keepRedirectCookies,t.requestInit.redirect),t}function Po(e){const{args:t,requestInit:r}=e;if(t.headersInitClass){const e=r.headers?new t.headersInitClass(r.headers):new t.headersInitClass;r.headers=e}else{if("function"!=typeof Headers)throw new TypeError('parseHeaders(): Headers Class undefined.\nIf running under Node.js, it must pass HeaderClass such come from package "node-fetch".');r.headers=r.headers?new Headers(r.headers):new Headers}const{headers:n}=r;return n.has("Accept")||n.set("Accept","application/json, text/html, text/javascript, text/plain, */*"),{args:t,requestInit:r}}function Ao(e){const{args:t,requestInit:r}=e;return t.abortController&&t.abortController.signal&&"function"==typeof t.abortController.abort||(t.abortController="function"==typeof AbortController?new AbortController:new Ve),t.abortController&&(r.signal=t.abortController.signal),{args:t,requestInit:r}}function Eo(e){const{args:t,requestInit:r}=e,n=t.cookies,o=[];if(n&&"object"==typeof n)for(let[e,t]of Object.entries(n))if(e&&"string"==typeof e){if(e=e.trim(),!e)continue;t="string"==typeof t||"number"==typeof t?t.toString().trim():"",o.push(`${e}=${t}`)}if(o.length){const e=r.headers;let t=e.get("Cookie");if(t){t=t.trim();let r=o.join("; ");t.endsWith(";")?(t=t.slice(0,-1),r=`${t}; `+r):r=`${t}; `+r,e.set("Cookie",r)}else e.set("Cookie",o.join("; "))}return{args:t,requestInit:r}}function xo(t){const{args:r,requestInit:n}=t;if(n.method&&["DELETE","POST","PUT"].includes(n.method)){const t=n.headers;!1===r.contentType||(r.contentType?t.set("Content-Type",r.contentType):t.has("Content-Type")||t.set("Content-Type",e.ContentTypeList.json))}return{args:r,requestInit:n}}function To(e){return"string"==typeof e&&["arrayBuffer","bare","blob","formData","json","text","raw"].includes(e)?e:"json"}function ko(e){const t="number"==typeof e&&e>=0?Math.ceil(e):null;return null!==t&&Number.isSafeInteger(t)?t:null}function Io(e,t){return!0===e&&"undefined"==typeof window&&"follow"===t?"manual":t||"follow"}function _o(e){let t=null;return e?("function"!=typeof e&&ve((()=>new TypeError("fetchModule is not Function"))),t=e):"function"==typeof fetch?t=fetch:ve((()=>new TypeError("fetchModule/fetch not Function"))),t}function Ro(e,t){let r="";if("undefined"==typeof t.data)r=e;else{if(!t.processData)throw new TypeError("Typeof args.data invalid for GET/DELETE when args.processData not true, type is :"+typeof t.data);r=So(e,t.data)}return r}function Co(e){let t;const{data:r}=e;return"string"==typeof r?t=r:"undefined"==typeof r||null===r||(t="undefined"!=typeof FormData&&r instanceof FormData||"undefined"!=typeof nt&&r instanceof nt||"undefined"!=typeof Blob&&r instanceof Blob||"undefined"!=typeof ArrayBuffer&&r instanceof ArrayBuffer||"undefined"!=typeof URLSearchParams&&r instanceof URLSearchParams||"undefined"!=typeof ReadableStream&&r instanceof ReadableStream?r:e.processData&&e.contentType&&e.contentType.includes("json")?JSON.stringify(r):e.processData?mo.stringify(r):r),t}function Fo(e,t,r){e||ve((()=>new TypeError("value of input invalid")));let n=Do(e,t,r);return n=Lo(n,t),n.pipe(xe((e=>Mo(e,t,r))))}function Do(e,t,r){let n=e;const o=_o(t.fetchModule);if("string"==typeof e){if(["GET","DELETE"].includes(r.method))n=Ro(e,t);else{if(!["POST","PUT","OPTIONS"].includes(r.method))throw new TypeError(`Invalid method value: "${r.method}"`);{const e=Co(t);"undefined"!=typeof e&&(r.body=e)}}return Ae((()=>o(n,r)))}return Ae((()=>o(e)))}function Lo(e,t){const r=undefined;return No(e,t.timeout,t.abortController)}function No(e,t,r){let n=e;return"number"==typeof t&&t>=0&&(n=e.pipe(we(t),Ee((e=>{throw r&&"function"==typeof r.abort&&!r.signal.aborted&&r.abort(),e})))),n}function Mo(e,t,r){if(!0===t.keepRedirectCookies&&e.status>=301&&e.status<=308){const n=e.headers.get("location"),o=e.headers.get("Set-Cookie");if(n){const i=rt(o);i&&(t.cookies=t.cookies?Object.assign(Object.assign({},t.cookies),i):Object.assign({},i));const a=jo({args:t,requestInit:r});return 303===e.status?(a.requestInit.method="GET",Fo(n,a.args,a.requestInit)):Fo(n,a.args,a.requestInit)}}else ve((()=>"Redirect location is empty"));return be(e)}function Uo(e,t){e||ve((()=>new TypeError("value of input invalid")));const r=undefined,n=Oo(t?Object.assign(Object.assign({},Ke),t):Object.assign({},Ke)),{args:o,requestInit:i}=jo(n),a=o.dataType,u=undefined,c=undefined;return Fo(e,o,i).pipe(xe((e=>et(e,"bare"===a))),xe((e=>tt(e,a))))}function qo(e,t){const r=undefined;return Uo(e,t?Object.assign(Object.assign({},t),{method:"GET"}):{method:"GET"})}function Bo(e,t){const r=undefined;return Uo(e,t?Object.assign(Object.assign({},t),{method:"POST"}):{method:"POST"})}function Wo(e,t){const r=undefined;return Uo(e,t?Object.assign(Object.assign({},t),{method:"PUT"}):{method:"PUT"})}function Go(e,t){const r=undefined;return Uo(e,t?Object.assign(Object.assign({},t),{method:"DELETE"}):{method:"DELETE"})}function Ho(e){for(const[t,r]of Object.entries(e))Object.defineProperty(Ke,t,{configurable:!0,enumerable:!0,writable:!0,value:r})}function $o(){return Object.assign({},Ke)}e.ContentTypeList=void 0,(wo=e.ContentTypeList||(e.ContentTypeList={})).formDataPartial="multipart/form-data; boundary=",wo.formUrlencoded="application/x-www-form-urlencoded; charset=utf-8",wo.html="text/html; charset=utf-8",wo.json="application/json; charset=utf-8",wo.plain="text/plain",e.buildQueryString=So,e.fetch=Uo,e.get=qo,e.getGloalRequestInit=$o,e.parseInitOpts=jo,e.parseRequestGetLikeData=Ro,e.parseRequestPostLikeData=Co,e.parseRespCookie=rt,e.post=Bo,e.put=Wo,e.remove=Go,e.rxfetch=Uo,e.selectFecthModule=_o,e.setGloalRequestInit=Ho,e.splitInitArgs=Oo,Object.defineProperty(e,"__esModule",{value:!0})}));
//# sourceMappingURL=rxxfetch.umd.min.js.map
